.component-button__wrapper {
  display: flex;
  flex-wrap: wrap;
  gap: 16px;
  margin: 16px 0;
}

/* Set default colors based on agency */
.agency-smcta .button-component a {
  background-color: #479f63;
}

.agency-caltrain .button-component a {
  background-color: #dd1f29;
}

.agency-smctd .button-component a,
.agency-samtrans .button-component a {
  background-color: #00529b;
}

.agency-samtrans .button-component a:hover,
.agency-smctd .button-component a:hover {
  background-color: #003e75;
}

.button-component {
  display: inline-flex;
}

.button-component a {
  align-items: center;
  color: #fff !important;
  display: inline-flex;
  flex-flow: nowrap;
  font-size: 16px;
  font-weight: 700;
  gap: 0.5rem;
  justify-content: center;
  padding: 10px 20px;
}

.button-component a:hover {
  text-decoration: none;
}

.button-component .media--icon {
  background: transparent;
  height: 1em;
  margin: 0;
  position: relative;
  width: 1em;
}

.button-component .media--icon path {
  fill: currentColor;
}

/* Button style option */
.button-component__btn--bubble-style {
  border-radius: 8px;
}

.button-component__btn--pill-style {
  border-radius: 99px;
  padding: 13px 20px;
}

/* Button type option */
.button-component a.button-component__btn--primary {}

.button-component a.button-component .button-component__btn--small {
  padding: .5rem .5rem;
}

.button-component a.button-component__btn--large {
  padding: 3rem 3rem;
}

.button-component a.button-component__btn--disabled {
  opacity: .5;
}

.button-component a.button-component__btn--secondary {
  background-color: #eaeaea;
  border-radius: 8px;
  color: #212529 !important;
}

.button-component a.button-component__btn--secondary .media--icon {
  color: #212529;
}

.button-component a.button-component__btn--secondary:hover {
  background-color: #d7d7d7;
}

.button-component a.button-component__btn--outline {
  background-color: #fff;
  border: 2px solid;
}

.agency-samtrans .button-component a.button-component__btn--outline,
.agency-smctd .button-component a.button-component__btn--outline {
  border-color: #00529b;
  color: #00529b !important;
}

.agency-samtrans .button-component a.button-component__btn--outline .media--icon,
.agency-smctd .button-component a.button-component__btn--outline .media--icon {
  color: #00529b;
}

.agency-samtrans .button-component a.button-component__btn--outline:hover .media--icon,
.agency-smctd .button-component a.button-component__btn--outline:hover .media--icon,
.agency-caltrain .button-component a.button-component__btn--outline:hover .media--icon,
.agency-smcta .button-component a.button-component__btn--outline:hover .media--icon {
  color: #000;
}

.agency-samtrans .button-component a.button-component__btn--outline:hover,
.agency-smctd .button-component a.button-component__btn--outline:hover,
.agency-caltrain .button-component a.button-component__btn--outline:hover,
.agency-smcta .button-component a.button-component__btn--outline:hover {
  background-color: transparent;
  border-color: #000;
  color: #000 !important;
}

.agency-caltrain .button-component a.button-component__btn--outline {
  border-color: #dd1f29;
  color: #dd1f29 !important;
}

.agency-caltrain .button-component a.button-component__btn--outline .media--icon {
  color: #dd1f29;
}

.agency-smcta .button-component a.button-component__btn--outline {
  border-color: #479f63;
  color: #479f63 !important;
}

.agency-smcta .button-component a.button-component__btn--outline .media--icon {
  color: #479f63;
}

.button-component a.button-component__btn--ghost,
.button-component a.button-component__btn--ghost:hover {
  background-color: transparent;
}

.agency-samtrans .button-component a.button-component__btn--ghost,
.agency-smctd .button-component a.button-component__btn--ghost,
.agency-samtrans .button-component a.button-component__btn--ghost .media--icon,
.agency-smctd .button-component a.button-component__btn--ghost .media--icon {
  color: #00529b !important;
}

.agency-caltrain .button-component a.button-component__btn--ghost,
.agency-caltrain .button-component a.button-component__btn--ghost .media--icon {
  color: #dd1f29 !important;
}

.agency-smcta .button-component a.button-component__btn--ghost,
.agency-smcta .button-component a.button-component__btn--ghost .media--icon {
  color: #479f63 !important;
}

.agency-samtrans .button-component a.button-component__btn--ghost:hover,
.agency-smctd .button-component a.button-component__btn--ghost:hover,
.agency-samtrans .button-component a.button-component__btn--ghost:hover .media--icon,
.agency-smctd .button-component a.button-component__btn--ghost:hover .media--icon,
.agency-caltrain .button-component a.button-component__btn--ghost:hover,
.agency-caltrain .button-component a.button-component__btn--ghost:hover .media--icon,
.agency-smcta .button-component a.button-component__btn--ghost:hover,
.agency-smcta .button-component a.button-component__btn--ghost:hover .media--icon {
  color: #000 !important;
  text-decoration: underline;
}

.agency-samtrans .button-component a.button-component__btn--gradient,
.agency-smctd .button-component a.button-component__btn--gradient {
  background-image: linear-gradient(to right, #00529b, #000);
  color: #fff;
}

.agency-samtrans .button-component a.button-component__btn--gradient:hover,
.agency-smctd .button-component a.button-component__btn--gradient:hover {
  background-image: linear-gradient(to bottom, #00529b, #00529b);
}

.agency-caltrain .button-component a.button-component__btn--gradient {
  background-image: linear-gradient(to right, #dd1f29, #000);
  color: #fff;
}

.agency-caltrain .button-component a.button-component__btn--gradient:hover {
  background-image: linear-gradient(to bottom, #dd1f29, #dd1f29);
}

.agency-smcta .button-component a.button-component__btn--gradient {
  background-image: linear-gradient(to right, #479f63, #000);
  color: #fff;
}

.agency-smcta .button-component a.button-component__btn--gradient:hover {
  background-image: linear-gradient(to bottom, #479f63, #479f63);
}

.button-component a.button-component__btn--orange {
  background-color: #f97316;
  color: #fff;
}

.button-component a.button-component__btn--orange:hover {
  background: rgba(249, 115, 22, 0.8);
}

.button-component a.button-component__btn--button_dark {
  background-color: #1a1a1a;
  border: 0 solid #e5e7eb;
  border-radius: 8px;
  color: #fff;
}

.button-component a.button-component__btn--button_dark:hover {
  background-color: #e5e7eb;
  color: #1a1a1a !important;
}

.button-component a.button-component__btn--button_dark:hover .media--icon {
  color: #1a1a1a;
}

.agency-samtrans .button-component a.button-component__btn--link_arrow,
.agency-smctd .button-component a.button-component__btn--link_arrow {
  background-color: transparent;
  color: #00529b !important;
}

.agency-samtrans .button-component a.button-component__btn--link_arrow .media--icon,
.agency-smctd .button-component a.button-component__btn--link_arrow .media--icon {
  color: #00529b;
}

.agency-samtrans .button-component a.button-component__btn--link_arrow:hover,
.agency-smctd .button-component a.button-component__btn--link_arrow:hover,
.agency-samtrans .button-component a.button-component__btn--link_arrow:hover .media--icon,
.agency-smctd .button-component a.button-component__btn--link_arrow:hover .media--icon {
  color: #000 !important;
}

/* Icon Position */
.button-component__btn.button-component__icon--right .media--icon {
  order: 2;
}

/* Display mode */
.component-button__wrapper.align_center {
  display: flex;
  justify-content: center;
  align-items: center;
}

/* Layout Paragraph text color */
.style__font__light .button-component__text {
  color: #fff;
}

.style__font__light .button-component a.button-component__btn:not(.button-component__btn--ghost) {
  border: 1px solid #fff;
}

.style__font__light .button-component__btn--secondary .button-component__text,
.style__font__light .button-component__btn--outline .button-component__text {
  color: #000;
}

.style__font__light a.button-component__btn--outline:hover {
  border-color: #fff !important;
}

.style__font__light a.button-component__btn--outline:hover .button-component__text {
  color: #fff;
}
